/*****************************
	MaxthonForumFilter
	Version 2.31
	By Neo101
	
	script thanks to FoaMDarT and Zeroglif
******************************/


window.onerror=showError

var TRUE = 'true'
var FALSE = 'false'


var changedSettings = false


function loadSettings() {
	var allInputTags = document.getElementsByTagName('input')
	for(var i=0; i<allInputTags.length; i++) {
		if(allInputTags[i].type=='checkbox') {
			if(readSetting(allInputTags[i].id+'') == TRUE) 
				allInputTags[i].checked = true
			else allInputTags[i].checked = false
		}
		if(allInputTags[i].type == 'text') 
			allInputTags[i].value = readSetting(allInputTags[i].id+'')
	}
	
	var selectTags = document.getElementsByTagName('select');
	for(var i=0; i<selectTags.length; i++) {
		var iniValue = readSetting(selectTags[i].id)
		for(var d=0; d<selectTags[i].options.length; d++) {
			if(iniValue == selectTags[i].options[d].value) {
				selectTags[i].selectedIndex = d
				break
			}
		}
	}
	
	var links = {'Ignore':'EnableIgnore', 'extra':'ExtraLink', 'extra2':'ExtraLink'}
	
	for(i in links){
		if(document.getElementById( links[i] ).checked == true){
			document.getElementById( i ).disabled = false
		}
	}
}


function saveSettings()  {
	var allInputTags = document.getElementsByTagName('input');
	for(var i=0; i<allInputTags.length; i++) {
		if(allInputTags[i].type == 'checkbox') {
			if(allInputTags[i].checked == true)
				writeSetting(allInputTags[i].id+'', TRUE)
			else writeSetting(allInputTags[i].id+'', FALSE)
		}
		if(allInputTags[i].type == 'text' && allInputTags[i].id != 'citySearch') 
			writeSetting(allInputTags[i].id+'', allInputTags[i].value)
	}
	
	var selectTags = document.getElementsByTagName('select');
	for(var i=0; i<selectTags.length; i++) {
		writeSetting(selectTags[i].id, selectTags[i].options[selectTags[i].selectedIndex].value)
	}
	
	closeWindow()
}


function closeWindow() {
	window.opener = ''
	window.close()
}


function clickTab(activeTab, element){
	var objs	= navmenu.getElementsByTagName("DIV");
	
	for(var i=0; i<objs.length; i++){
		if(objs[i].id.indexOf("tab") != -1){
			objs[i].className = "unselected-tab";
		}
	}
	
	var objs = document.getElementsByTagName('div')
	
	for(var i=0; i<objs.length; i++){
		if(objs[i].id.indexOf("data") != -1){
			objs[i].style.display = "none";
		}
	}
	
	var obj 		= document.getElementById("tab"+activeTab);
	obj.className 	= "selected-tab";
	var obj 		= document.getElementById("data"+activeTab);
	obj.style.display 	= "block";
}


function showError(msg, url, line){
	alert('Message: '+msg+'\nURL: '+url+'\nLine: '+line)
}