var SECURITY_ID	= max_security_id
var PLUGIN_NAME = "MaxthonForumFilter"

var alreadyShowingError	= false
window.onerror	= showErrorMessage

var SETTINGS_FILE = 'settings.ini'
var DEFAULT_SETTINGS_FILE = 'DefaultSettings.ini'


function showErrorMessage(message, url, line){
	var d 		= new Date()
	var date	= d.getHours()+':'+d.getMinutes()+':'+d.getSeconds()
	if(!alreadyShowingError)
		external.get_tab(SECURITY_ID, external.cur_sel).window.status 
				= 'Message: '+message+' Line: '+line+' URL: '+url+' Date: '+date
	alreadyShowingError	= true
}


function readFile(filename) {
	return external.readFile(SECURITY_ID,PLUGIN_NAME,filename)
}


function writeFile(filename,data) {
	external.writeFile(SECURITY_ID,PLUGIN_NAME,filename,data)
}


function readSetting(Key, errorResponse) {
	if(errorResponse == null) 
		errorResponse = ''
	var returnValue = readIni(SETTINGS_FILE,"Settings", Key, 'error')
	if(returnValue == 'error') {
		var defaultFileValue = readIni(DEFAULT_SETTINGS_FILE,"Settings", Key, 'error')
		if(defaultFileValue == 'error')
			return errorResponse
		else {
			writeSetting(Key, defaultFileValue)
			returnValue = defaultFileValue
		}
	}
	return returnValue
}


function readIni(file, section, key, errorResponse){
	if(errorResponse == null) 
		errorResponse = ''
	return external.m2_readIni(SECURITY_ID, PLUGIN_NAME, file, section, key, errorResponse)
}


function writeIni(file, section, key, data) {
	external.m2_writeIni(SECURITY_ID, PLUGIN_NAME, file, section, key, data+'')
}


function writeSetting(key, data) {
	writeIni(SETTINGS_FILE,"Settings", key, data+'')
}

function showError(message){
	if(document.getElementById('error'))
		document.getElementById('error').innerHTML = message
	else
		alert( message )
}